%global pypi_name python3-openid
%global module openid

Name:           python-%{module}
Version:        3.2.0
Release:        %mkrel 4
Summary:        Python 3 port of the python-openid library
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/necaris/python3-openid
Source0:        https://pypi.io/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-django
BuildRequires:  python3dist(psycopg2)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(defusedxml)

# For tests
BuildRequires:  locales-en

%description
This started out as a fork of the Python OpenID library,
with changes to make it Python 3 compatible.

It's now a port of that library,
including cleanups and updates to the code in general.

%package -n python3-%{module}
Summary:        Python 3 port of the python-openid library
%{?python_provide:%python_provide python3-%{module}}
Requires:	python3dist(defusedxml)

%description -n python3-%{module}
This started out as a fork of the Python OpenID library,
with changes to make it Python 3 compatible.

It's now a port of that library,
including cleanups and updates to the code in general.

%prep
%setup -qn %{pypi_name}-%{version}

# drop bundled egg-info
rm -rf python3_openid.egg-info/

# replace env python shebangs with env python3
grep -Erl '^#!/usr/bin/env python$' | xargs \
sed -i -r '1 s|^#!/usr/bin/env python$|#!/usr/bin/env python3|g'

%build
%py3_build

%install
%py3_install

# remove .po files
find %{buildroot} -name "*.po" -delete

%check
#LC_ALL=en_US.UTF-8 %%{__python3} admin/runtests

%files -n python3-%{module}
%doc NEWS.md
%license LICENSE
%{python3_sitelib}/openid/
%{python3_sitelib}/python3_openid-%{version}-py3.*.egg-info




%changelog
* Tue Mar 29 2022 umeabot <umeabot> 3.2.0-4.mga9
+ Revision: 1833298
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 3.2.0-3.mga9
+ Revision: 1783481
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 3.2.0-2.mga9
+ Revision: 1732406
- Rebuild for python 3.9

* Thu Sep 17 2020 guillomovitch <guillomovitch> 3.2.0-1.mga8
+ Revision: 1628007
- new version 3.2.0

* Wed May 06 2020 joequant <joequant> 3.1.0-6.mga8
+ Revision: 1580737
- fix django dep
- rebuild for 3.8

* Sun Feb 16 2020 umeabot <umeabot> 3.1.0-5.mga8
+ Revision: 1533134
- Mageia 8 Mass Rebuild

* Wed Sep 18 2019 wally <wally> 3.1.0-4.mga8
+ Revision: 1443642
- rebuild for python3.8
- rename src.rpm as python-openid

* Tue Jan 08 2019 tv <tv> 3.1.0-3.mga7
+ Revision: 1352085
- rebuild with python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 3.1.0-2.mga7
+ Revision: 1290588
- Mageia 7 Mass Rebuild

* Tue May 08 2018 daviddavid <daviddavid> 3.1.0-1.mga7
+ Revision: 1227787
- new version: 3.1.0

* Mon Nov 27 2017 ngompa <ngompa> 3.0.10-3.mga7
+ Revision: 1180012
- Simplify and adapt for Mageia
- imported package python3-openid

